package com.uas.platform.b2b.service;

import org.apache.http.HttpResponse;

import com.uas.platform.b2b.model.Enterprise;

public interface EnterpriseService {
	
	public String bussinessCodeEnable(String code);
	public Enterprise registerEnterprise(Enterprise enterprise);
	/**
	 * 将注册的企业发送后台管理项目审核
	 * @param enterprise
	 * @return
	 */
	public HttpResponse sendToAduit(Enterprise enterprise);
	public String audit(Long uu, String result, String reason);
	public String activateCheck(Long uu, String checkcode);
	/**
	 * 发送激活邮件
	 * @param enuu
	 * @return
	 */
	public String sendActivateEmail(Long enuu);
	public String setAdminPassword(Long enuu, String password);
	
}
